Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-48956

JEP-200: Config file provide plugin: java.util.Collections$EmptyMap

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      org.jenkinsci.plugins.configfiles.custom.CustomConfig$CustomConfigProvider    

      ConversionException: Refusing to unmarshal configs for security reasons; see https://jenkins.io/redirect/class-filter/ ---- Debugging information ---- class : java.util.Collections$EmptyMap required-type : java.util.Collections$EmptyMap converter-type : hudson.util.XStream2$BlacklistedTypesConverter path : /org.jenkinsci.plugins.configfiles.custom.CustomConfigProvider/configs line number : 3 --------

        Attachments

          Issue Links

            Activity

            Hide
            pedersen Björn Pedersen added a comment -

            Just  for confirmation, I observed in migrate old data.

            Show
            pedersen Björn Pedersen added a comment - Just  for confirmation, I observed in migrate old data.
            Hide
            scm_issue_link SCM/JIRA link daemon added a comment -

            Code changed in jenkins
            User: Oleg Nenashev
            Path:
            pom.xml
            http://jenkins-ci.org/commit/config-file-provider-plugin/247e4903ea658128450f3b0e24c203fbba4abccd
            Log:
            JENKINS-48956 - Use the default version of JTH so that PCT can run against new cores

            Show
            scm_issue_link SCM/JIRA link daemon added a comment - Code changed in jenkins User: Oleg Nenashev Path: pom.xml http://jenkins-ci.org/commit/config-file-provider-plugin/247e4903ea658128450f3b0e24c203fbba4abccd Log: JENKINS-48956 - Use the default version of JTH so that PCT can run against new cores
            Hide
            glekarov Grigor Lekarov added a comment - - edited

            This issue is still reproducible saving an already edited Jenkins job. The plugin version is 17.0 and Jenkins version 2.101 and higher. When I donwgrade plugin to 16.4 everything is OK.

            Show
            glekarov Grigor Lekarov added a comment - - edited This issue is still reproducible saving an already edited Jenkins job. The plugin version is 17.0 and Jenkins version 2.101 and higher. When I donwgrade plugin to 16.4 everything is OK.
            Hide
            oleg_nenashev Oleg Nenashev added a comment -

            Grigor Lekarov could you please provide a stacktrace?
            I am pretty sure it is another issue, because there is no JEP-200 patch in 2.101

            Show
            oleg_nenashev Oleg Nenashev added a comment - Grigor Lekarov could you please provide a stacktrace? I am pretty sure it is another issue, because there is no JEP-200 patch in 2.101
            Hide
            oleg_nenashev Oleg Nenashev added a comment -

            No response from Grigor Lekarov. Marking it as Resolve unless proven otherwise

            Show
            oleg_nenashev Oleg Nenashev added a comment - No response from Grigor Lekarov . Marking it as Resolve unless proven otherwise

              People

              • Assignee:
                oleg_nenashev Oleg Nenashev
                Reporter:
                pedersen Björn Pedersen
              • Votes:
                0 Vote for this issue
                Watchers:
                7 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: